<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=gb18030"><title>Medicamentos</title></head>
<style type="text/css" media="all">@import "./estilos.css";</style>
<link rel="icon" type="image/png" href="imagenes/hdIcon.png" />

<?php
  //include("header.php");
  include("conexionOdo.php");
  //recibe tipo numero de identificacion
  session_start();
  $s_identifica = $_SESSION['cedula'];
  $s_tipoId     = $_SESSION['tipoId'];
  
  $s_nitEmpresa = $_SESSION['nitEmpresa'];
  $s_codSede    = $_SESSION['codSede'];
  $s_idUsuario  = $_SESSION['idUsuario'];
  
  $s_numFactura    = $_GET['numFactura'];
  $s_numConsulta   = $_GET['consulta']; 
  $s_tipoHistoria  = $_GET['historia']; 
  $s_observa       = $_GET['observa']; 
  $valorTotal      = $_GET['vlrTotal'];  
  
  $w_fecha      = date("Y-m-d",time());  
  
  //GRABA ENCABEZADO DE LA FACTURA 
    $query = "INSERT INTO SIO_FACENCABEZA_PAC".
           "(numFactura, nitEmpresa, codSede, numConsulta, tipoHistoria, tipoId, idPaciente, ".
           "observaciones, valorTotal, estado, fecha, usuario )".
    "VALUES($s_numFactura, $s_nitEmpresa, $s_codSede, $s_numConsulta, '$s_tipoHistoria', '$s_tipoId', $s_identifica, ".
           "'$s_observa', $valorTotal, 'I', '$w_fecha', $s_idUsuario) "; 
   $result = mysql_query($query) or die('Adicion de encabezado fallida: ' . mysql_error());     
   
   
   $queryUpd = "UPDATE SIO_CON_PACIENTE ".
               " SET pagado='SI', numFactura=$s_numFactura ".
               " WHERE numConsulta=$s_numConsulta ";
   $result = mysql_query($queryUpd) or die('Modificacion de factura pagada  fallida: ' . mysql_error());       
  
     // consulta paciente
     $query = "SELECT * FROM `SIME_BAS_PACIENTE` WHERE `tipoId` = '$s_tipoId' AND `idPaciente` =  $s_identifica";
     $result = mysql_query($query) or die('Consulta de paciente fallida: ' . mysql_error());
     $cantRegistros=mysql_num_rows($result);
   
     $i=0;
     while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) { 
       $s_apell1Paciente   = $line["apell1Paciente"]; 
       $s_apell2Paciente   = $line["apell2Paciente"]; 
       $s_nomPaciente      = $line["nomPaciente"]; 
       $s_nomPaciente2     = $line["nomPaciente2"];
       $s_edadPaciente     = $line["edadPaciente"]; 
       $s_sexoPaciente     = $line["sexoPaciente"];
       if ($s_sexoPaciente =="A"){$s_sexoPaciente="Masculino";}
       if ($s_sexoPaciente =="F"){$s_sexoPaciente="Femenino";}
       if ($s_sexoPaciente =="M"){$s_sexoPaciente="Ni&ntilde;o";}
       if ($s_sexoPaciente =="A"){$s_sexoPaciente="Ni&ntilde;a";}
       
       $s_tipoVinculacion  = $line["tipoVinculacion"];
                                  
       if ($s_tipoVinculacion == "C")
       {
         $vinc = "Cotizante";
       }
       
       if ($s_tipoVinculacion == "B")
       {
         $vinc = "Beneficiario";
       }
       
       if ($s_tipoVinculacion == "P")
       {
         $vinc = "Particular";
       }
       
       if ($s_tipoVinculacion == "O")
       {
         $vinc = "Otro";
       }
                 
       $i = $i+1;
     }//while   
     
    // Liberar resultados
    mysql_free_result($result);
    
  /////TRAE LOGO
  //trae el nit
  $qnit="SELECT nitEmpresa FROM SIO_CON_PACIENTE WHERE  numConsulta = $s_numConsulta ";
  $result = mysql_query($qnit) or die('Consulta de nit fallida: ' . mysql_error());
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
  $s_nitEmpresa=$line['nitEmpresa'];
  // Liberar resultados
  mysql_free_result($result);
 
  $logoEx = "imagenes/logos/logo".$s_nitEmpresa.".jpg"; 
  if (file_exists($logoEx)) {
      $logoPre=$logoEx;
  } else {
     $logoPre="imagenes/logo.jpg";
  }
  //src="imagenes/logo.jpg"
  /////FIN TRAE LOGO      
?>

<body onload="window.print();">
    
    <table width='900' align="center">
      <tr>
         <td><img src=<?=$logoPre?> alt="Logo Compania" width="210" height="112"/> </td>
         <td class="camposTabla" align="right">Documento No. <?=$s_numFactura?> - Fecha de Expedici&oacute;n: <?=$w_fecha?></td>
      </tr>
    </table>
    
    <table align="center" border="0" width="900">
    <br>
     <tr>
         <td class="camposTabla" align="left">Tipo Identificaci&oacute;n</td>
         <td class="negrita"><?=$s_tipoId?></td>
         <td class="camposTabla" align="left">No. de Identificaci&oacute;n</td>
         <td class="negrita"><?=$s_identifica?></td>
         <td class="camposTabla" align="left">Tipo Vinculaci&oacute;n</td>
         <td class="negrita"><?=$vinc?></td>  
     </tr>     
           
     <tr>   
         <td class="camposTabla">Nombres</td>     
         <td class="negrita"> <?=$s_nomPaciente?> <?=$s_nomPaciente2?> <?=$s_apell1Paciente?> <?=$s_apell2Paciente?></td>
         <td class="camposTabla">Sexo</td>
         <td class="negrita"><?=$s_sexoPaciente?></td>
         <td class="camposTabla" align="left">Edad</td>
         <td class="negrita"><?=$s_edadPaciente?></td>  
     </tr>
   </table>       
   
   <br>
   
<?php
$query  = " SELECT * FROM SIO_FACTURAS_PAC ".
             " WHERE numFactura=$s_numFactura";        
   $result = mysql_query($query) or die('Consulta de servicios fallida: ' . mysql_error());
   
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
     $s_numfactura = $line['numfactura'];
     $s_tipoProc   = $line['tipoProc'];
     $s_codPro        = $line['codProcedimiento'];
     $valor     = $line['valor'];
     $cantidad   = $line['cantidad'];
     $s_fecha      = $line['fecha'];
     
     $total    = $cantidad*$valor;
     
     $vlrTotal =  $cantidad * $valor;
     $sumaTotal = $sumaTotal + $vlrTotal;
     $valor1    = number_format($valor);
     $vlrTotal1 = number_format($vlrTotal);
     $sumaTotal1 = number_format($sumaTotal);
     
     $cantidad = number_format($cantidad);
     $valor = number_format($valor);
     $total = number_format($total);
   
    if ($s_tipoProc=="Cups")
    {
     $querySer = " SELECT descripcion AS nombre FROM SIO_PROC_POS ".
                 " WHERE cups='$s_codPro' "; 
    }  
    
    if ($s_tipoProc=="Propio")
    {
     $querySer = " SELECT nomProc AS nombre FROM SIO_PROC_ADICIONALES ".
                 " WHERE codProc='$s_codPro' "; 
    }
                
     $resultSer = mysql_query($querySer) or die('Consulta de servicios fallida: ' . mysql_error());
     $lineSer   = mysql_fetch_array($resultSer, MYSQL_ASSOC); 
     $nomSer    = $lineSer['nombre'];             
     
     echo("<table align='center' width='900' border='0' cellpading='0'>\n");
       //echo ("<form method='post' action='historiaClinica.php'>\n");
       if ($i==0){// para mostrar titulos 
         echo("<tr class='titulosLista'>\n");
            echo   ("<td align='center' colspan='5'>LISTA DE PROCEDIMIENTOS PRESTADOS</td>\n");
         echo("</tr>\n");
         echo("<tr class='camposLista'>\n");
            echo("<td width='100' align='left'><b>C&oacute;digo</b></td>\n");         
            echo("<td width='500' align='left'><b>Procedimiento</b></td>\n");
             echo("<td width='100' align='center'><b>Cantidad</b></td>\n");
             echo("<td width='100' align='center'><b>Valor</b></td>\n");
           echo("<td width='100' align='center'><b>Total</b></td>\n");
         echo("</tr>\n");
       }
       echo("<tr class='camposLista'>\n");        
           echo("<td width='100' align='left'>$s_codPro</span></td>\n");
           echo("<td width='500' align='left'>$nomSer</td>\n");
           echo("<td width='100' align='center'>$cantidad</td>\n");
           echo("<td width='100' align='right'>$valor</td>\n");
           echo("<td width='100' align='right'>$total</td>\n");     
       echo("</tr>\n");
       $i = $i+1;
   }//while
   echo("</table>\n");  
?> 

 <p></p>
  <?php
   if ($i>0){
    include("montoEscrito.php");
    $letras=numerotexto($sumaTotal); 
    $letras=$letras . " pesos";
  ?>  
   <table align='center' width='900' border='0' cellpading='0'>
     <tr class='titulosLista' height="35">
       <td width="100" align="left"><b>Valor Total:</b></td>
       <td width="700"align="left"><i><b>Son: <?=$letras?></b></i></td>
       <td width="100"align="right"><b>$ <?=$sumaTotal1?></b></td>
     </tr>
     </table>
  <?php
   } 
  ?>
  
  <?php
     ///////////////////////////////////////////////////
     ////////////IMPRIME PIES DE PAGINA////////////////
     ///////////////////////////////////////////////////
     $query = "SELECT * FROM SIME_BAS_FOOT WHERE nitEmpresa=$s_nitEmpresa";
     $result = mysql_query($query) or die ('Consulta pies de pagina fallida: ' . mysql_error());
     $linea  = mysql_fetch_array($result, MYSQL_ASSOC);
     $s_linFormula     = $linea['linFormula'];  
     $s_linIncapacidad = $linea['linIncapacidad'];
     $s_segundaLinea   = $linea['linDos']; 
     $s_terceraLinea   = $linea['linTres'];  
     $s_cuartaLinea    = $linea['linCuatro'];
    ?>
    
    <table width='900' border="0" align="center">  
     <tr>
        <td width="70%">
        </td>
     </tr>
     <!--<tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_linFormula?>
       </td>
     <tr>-->
     <tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_segundaLinea?>
       </td>
     <tr>
     <tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_terceraLinea?>
       </td>
     <tr>
     <tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_cuartaLinea?>
       </td>
     <tr>
    </table>
   
</body>
</html>